Package com.castlabs.android.player

# Class VideoFilterConfiguration.Builder

java.lang.Object
com.castlabs.android.player.VideoFilterConfiguration.Builder

Enclosing class:
  `VideoFilterConfiguration`

public static final class VideoFilterConfiguration.Builder extends Object
`VideoFilterConfiguration` builder static inner class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new `Builder`.
  `Builder(VideoFilterConfiguration copy)`
  Constructs a new `Builder` by copying the values from an existing `VideoFilterConfiguration`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VideoFilterConfiguration.Builder`
  `enableViewportFilter(boolean enableViewportFilter)`
  Sets the `enableViewportFilter` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration`
  `get()`
  Returns a `VideoFilterConfiguration` built from the parameters previously set.
  `VideoFilterConfiguration.Builder`
  `maxBitrate(long maxBitrate)`
  Sets the `maxBitrate` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `maxFramerate(float maxFramerate)`
  Sets the `maxFramerate` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `maxHeight(int maxHeight)`
  Sets the `maxHeight` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `maxPixel(long maxPixel)`
  Sets the `maxPixel` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `maxWidth(int maxWidth)`
  Sets the `maxWidth` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `minBitrate(long minBitrate)`
  Sets the `minBitrate` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `minFramerate(float minFramerate)`
  Sets the `minFramerate` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `minHeight(int minHeight)`
  Sets the `minHeight` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `minPixel(long minPixel)`
  Sets the `minPixel` and returns a reference to this Builder so that the methods can be chained together.
  `VideoFilterConfiguration.Builder`
  `minWidth(int minWidth)`
  Sets the `minWidth` and returns a reference to this Builder so that the methods can be chained together.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new `Builder`.

  - ### Builder

    public Builder(VideoFilterConfiguration copy)
    Constructs a new `Builder` by copying the values from an existing `VideoFilterConfiguration`.
    Parameters:
      `copy` - The `VideoFilterConfiguration` to copy values from.

- ## Method Details

  - ### maxWidth

    public VideoFilterConfiguration.Builder maxWidth(int maxWidth)
    Sets the `maxWidth` and returns a reference to this Builder so that the methods can be chained together. Setting a `maxWidth` disables `VideoFilterConfiguration.enableViewportFilter`.
    Parameters:
      `maxWidth` - the `maxWidth` to set
    Returns:
      a reference to this Builder

  - ### minWidth

    public VideoFilterConfiguration.Builder minWidth(int minWidth)
    Sets the `minWidth` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `minWidth` - the `minWidth` to set
    Returns:
      a reference to this Builder

  - ### maxHeight

    public VideoFilterConfiguration.Builder maxHeight(int maxHeight)
    Sets the `maxHeight` and returns a reference to this Builder so that the methods can be chained together. Setting a `maxHeight` disables `VideoFilterConfiguration.enableViewportFilter`.
    Parameters:
      `maxHeight` - the `maxHeight` to set
    Returns:
      a reference to this Builder

  - ### minHeight

    public VideoFilterConfiguration.Builder minHeight(int minHeight)
    Sets the `minHeight` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `minHeight` - the `minHeight` to set
    Returns:
      a reference to this Builder

  - ### maxBitrate

    public VideoFilterConfiguration.Builder maxBitrate(long maxBitrate)
    Sets the `maxBitrate` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `maxBitrate` - the `maxBitrate` to set
    Returns:
      a reference to this Builder

  - ### minBitrate

    public VideoFilterConfiguration.Builder minBitrate(long minBitrate)
    Sets the `minBitrate` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `minBitrate` - the `minBitrate` to set
    Returns:
      a reference to this Builder

  - ### maxPixel

    public VideoFilterConfiguration.Builder maxPixel(long maxPixel)
    Sets the `maxPixel` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `maxPixel` - the `maxPixel` to set
    Returns:
      a reference to this Builder

  - ### minPixel

    public VideoFilterConfiguration.Builder minPixel(long minPixel)
    Sets the `minPixel` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `minPixel` - the `minPixel` to set
    Returns:
      a reference to this Builder

  - ### enableViewportFilter

    public VideoFilterConfiguration.Builder enableViewportFilter(boolean enableViewportFilter)
    Sets the `enableViewportFilter` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `enableViewportFilter` - the `enableViewportFilter` to set
    Returns:
      a reference to this Builder

  - ### maxFramerate

    public VideoFilterConfiguration.Builder maxFramerate(float maxFramerate)
    Sets the `maxFramerate` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `maxFramerate` - the `maxFramerate` to set
    Returns:
      a reference to this Builder

  - ### minFramerate

    public VideoFilterConfiguration.Builder minFramerate(float minFramerate)
    Sets the `minFramerate` and returns a reference to this Builder so that the methods can be chained together.
    Parameters:
      `minFramerate` - the `minFramerate` to set
    Returns:
      a reference to this Builder

  - ### get

    public VideoFilterConfiguration get()
    Returns a `VideoFilterConfiguration` built from the parameters previously set.
    Returns:
      a `VideoFilterConfiguration` built with parameters of this `VideoFilterConfiguration.Builder`